# -*- coding: UTF-8 -*-

from artix.common import py2to3utils
import os
import logger


def main(body, path, fileName, openMode='wb'):
    """ Получение тела сообщения и запись в файл """
    if not os.access(path, os.F_OK):
        os.makedirs(path)

    logger.getLogger().info('Создаем файл %s/%s и записываем в него полученное тело сообщения'
            % (py2to3utils.ensureStr(path), py2to3utils.ensureStr(fileName)))
    filePath = os.path.normpath(os.path.join(path, fileName))
    with open(filePath, openMode) as output:
        os.chmod(filePath, 0o777)
        output.write(py2to3utils.ensureBinary(body))